Loading...
Searching...
No Matches
ScalarMinMax< ValueT > Struct Template Reference

Scalar extent op to evaluate the min/max values of a single integral or floating point attribute type. More...

`#include <openvdb/points/PointStatistics.h>`

## Public Types

using | ExtentT = std::pair<ValueT, ValueT>

## Public Member Functions

| ScalarMinMax (const ValueT &init)
| ScalarMinMax (const ExtentT &init)
void | operator() (const ValueT &b)
void | operator() (const ExtentT &b)
const ExtentT & | get () const

## Public Attributes

ExtentT | mMinMax

## Detailed Description

template<typename ValueT>
struct openvdb::v10_0::points::statistics_internal::ScalarMinMax< ValueT >

Scalar extent op to evaluate the min/max values of a single integral or floating point attribute type.

## Member Typedef Documentation

## ExtentT

template<typename ValueT>

using ExtentT = std::pair<ValueT, ValueT>

## Constructor & Destructor Documentation

## ScalarMinMax() [1/2]

template<typename ValueT>

ScalarMinMax | ( | const ValueT & | init | ) |

inline

## ScalarMinMax() [2/2]

template<typename ValueT>

ScalarMinMax | ( | const ExtentT & | init | ) |

inline

## Member Function Documentation

## get()

template<typename ValueT>

const ExtentT & get | ( |  | ) | const

inline

## operator()() [1/2]

template<typename ValueT>

void operator() | ( | const ExtentT & | b | ) |

inline

## operator()() [2/2]

template<typename ValueT>

void operator() | ( | const ValueT & | b | ) |

inline

## Member Data Documentation

## mMinMax

template<typename ValueT>

ExtentT mMinMax